class MachineTypesController < ApplicationController
  include MachineTypes

  def self.set_target_before
    super + [:download_manual]
  end

  model_data_store(MachineType, {create: false, read: true, update: false, delete: false, index: true}, {create: false, read: false, update: false, delete: false, index: false})

  def list
    @type = MachineType.all
  end

  def download_manual
    type_module = @model.category.split("_").map {|m| m.capitalize}.join("") + "s"
    type_class = @model.display_name.split("-").map {|a| a.capitalize}.join("")
    type_manuals = "MachineTypes::#{type_module}::#{type_class}".constantize.machine_manuals
    manual_name = "#{type_manuals[params[:manualType].to_sym][params[:manualLanguage].to_sym][:name]}.pdf"
    manual_path = "#{ProductionSetting.machine_manual_path.gsub!("\\", "/")}/#{manual_name}"

    send_file(manual_path, :type => "application/pdf", :filename => manual_name, :disposition => "attachment")
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:machine_type).permit(:name, machine_ids: [])
  end
end