import * as React from "react";
import {observer} from "mobx-react-lite";
import {makeStyles, Typography} from "@material-ui/core";
import {grey} from "@material-ui/core/colors";
import {t} from "@lingui/macro";
import {DcsConnectionStore, SystemSettingModel, SystemSettingStore} from "@rx-suite/stores";

type BlockInfoPanelProps = {
    connectionId: number | null;
};

const useStyles = makeStyles((theme) => ({
    dcsInfo: {
        color: grey[500],
        marginBottom: theme.spacing(2)
    }
}));

export const DcsConnectionLabel: React.FunctionComponent<BlockInfoPanelProps> = observer(({connectionId}) => {
    const classes = useStyles();

    let model = null;
    if(connectionId){
         model = DcsConnectionStore.get(connectionId);
    }

    if(!model){
        return null;
    }

    console.log(model)

    return (
        <Typography className={classes.dcsInfo}>{t`Connected to DCS on`} {model.ip}:{model.port} </Typography>
    );
});