import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelInput} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {HintList} from "../generic/HintList";

export const ExternalForwardingHeadersForm: React.FunctionComponent = observer(({}) => {
    const headerValuePlacerHolderHint = [
        {title: `$[RXNET-INTERFACE-NAME]$`, text: t`Resolves to the Rx.Net interface name. (job-state, machine-state, machine-error, etc.).`},
        {title: `$[MACHINE-TYPE]$`, text: t`Resolves to the machine type of the sender (generator, polisher, etc.).`},
        {title: `$[MACHINE-NAME]$`, text: t`Resolves to the machine name of the sender.`}
    ]

    return (
        <React.Fragment>
            <ModelInput name={'header'}/>
            <ModelInput name={'value'} hint={
                {
                    title: 'Header Value',
                    children: <HintList primaryText={t`The value assigned to the header added in data forwarding. Placeholders can be used for dynamic values.`} items={headerValuePlacerHolderHint}/>
                }
            }/>
        </React.Fragment>
    )
})