import * as React from 'react';
import {BreadModel, makeColumn, makeFormattedDateTimeColumn} from "@rx-suite/ui";
import {OrderStore} from "../../stores/OrderStore";
import {OrderForm} from "./OrderForm";
import {t} from "@lingui/macro";

export const OrdersBreadModel = () => {

    const columns = [
        makeColumn('job_number', t`Job Number`, 'string'),
        makeColumn('job_ids', t`Job Ids`, 'string', (values) => values.join(', ')),
        makeColumn('expiry_date', t`Status`, 'string', (value) => {
            const now = new Date();
            const expiry = new Date(value);
            return (expiry < now
                    ? t`Expired`
                    : t`Active`
            );
        }),
        makeFormattedDateTimeColumn('expiry_date', t`Expires On`, 'dateTime'),
        makeFormattedDateTimeColumn('created_at', t`Created At`, 'dateTime'),
        makeFormattedDateTimeColumn('updated_at', t`Updated At`, 'dateTime'),
    ];

    return (
        <BreadModel store={OrderStore} Form={OrderForm} columns={columns} />
    );
};
