import * as React from 'react';
import {ProductionSettingStore} from "../../stores/ProductionSettingStore";
import {observer} from "mobx-react-lite";
import {LinearProgress} from "@material-ui/core";
import {ModelForm} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {TabInfo, TabsContainer} from "../../components/generic/TabsContainer";
import {ProductionMetricsTab} from "./tabs/ProductionMetricsTab";
import {MachineProductionTargetsTab} from "./tabs/MachineProductionTargetsTab";
import {OtherMetricsTab} from "./tabs/OtherMetricsTab";
import {GeneralSettingsTab} from "./tabs/GeneralSettingsTab";

export const ProductionSettingForm = observer(() => {

    const settings = ProductionSettingStore.selectedModel;
    if(!settings) return <LinearProgress />

    const tabs: TabInfo[] = [
        {
            label: t`Production Metrics`,
            component: <ProductionMetricsTab/>
        },
        {
            label: t`Machine Production Targets`,
            component: <MachineProductionTargetsTab/>
        },
        {
            label: t`Other Metrics`,
            component: <OtherMetricsTab/>
        },
        {
            label: t`General Settings`,
            component: <GeneralSettingsTab/>
        }
    ]

    return(
        <ModelForm model={settings} suppressMakeCopy suppressImportExport>
            <TabsContainer tabs={tabs}/>
        </ModelForm>
    )
});
