import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/machine_data_push_target_headers",
    permissionTarget: "MachineDataPushTarget",
    routingInfo: {
        create: '/settings/data_forwarding/external_headers/create',
        read: '/settings/data_forwarding/external_headers/:id/edit',
        update: '/settings/data_forwarding/external_headers/:id/edit'
    }
})
export class MachineDataPushTargetHeaderModel extends Model {
    @attribute({
        label: t`Header`,
        validation: yup.string().required(t`Header is required`)
    })
    header: string = '';

    @attribute({
        label: t`Value`,
        validation: yup.string().required(t`Value is required`)
    })
    value: string = '';

    @attribute({
        label: t`Machine Data Push Target ID`,
        validation: yup.number()
    })
    machine_data_push_target_id: number = 0

    constructor() {
        super();
        super.setup();
    }
}

export const MachineDataPushTargetHeaderStore = MachineDataPushTargetHeaderModel.store as DataStore<MachineDataPushTargetHeaderModel>;
