import {attribute, DataStore, model, Model} from "@rx-suite/data";

import {t} from "@lingui/macro";
import * as yup from 'yup';

@model({
  transportLayer: "/api/machine_states",
  routingInfo: {}
})
export class MachineStateModel extends Model {
  @attribute({ label: t`Machine SN`, validation: yup.string().required() })
  machine_sn: string = "";

  @attribute({ label: t`State`, validation: yup.string().required() })
  state: string  = "";

  @attribute({ label: t`Time`, validation: yup.date().required() })
  time: Date = new Date();

  @attribute({ label: t`Comment`, validation: yup.string() })
  comment: string  = "";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  static types = {
    time: "date"
  }

  constructor() {
    super();
    super.setup();
  }
}

export const MachineStateStore = MachineStateModel.store as DataStore<MachineStateModel>;
