class KpiJobStateJob < ApplicationJob
  queue_as :kpi

  def perform(job_state)
    ActiveRecord::Base.connection_pool.with_connection do
      #Do all of this in a transaction, if one cache fails dont add it to other
      KpiJobState.transaction do
        KpiJobState.cache_job_state(job_state)

        # A job state can never be a routing kick AND a machine abort
        if job_state.is_routing_kickout?
          KpiRoutingKickout.cache_job_state(job_state)
        elsif job_state.is_aborted?
          filter = AbortFilter.calculate_filter_for_job_state(job_state)

          unless filter.nil?
            job_state.abort_filter = filter
            job_state.save
          end

          KpiMachineAbortCount.cache_job_state(job_state)
        end
      end
    end
  end
end
