class KpiMachineErrorJob < ApplicationJob
  queue_as :kpi

  def perform(error)
    ActiveRecord::Base.connection_pool.with_connection do
      # All these changes must happen at once to guarantee cache integrity
      Error.transaction do
        # Associate a filter if any applies
        filter = ErrorFilter.calculate_filter_for_error(error)

        unless filter.nil?
          error.error_filter = filter
          error.save
        end

        # KPI - Machine Error Count
        KpiMachineErrorCount.cache_error(error)
      end
    end
  end
end
