class PushDataJob < ApplicationJob
  queue_as :highest_priority

  def perform(who, what)
    Rails.logger.info "Starting push of #{what}"
    listeners = ActiveRecord::Base.connection_pool.with_connection do
      PushTarget.where.not(who.to_s => [nil, ""]).all
    end
    listeners.each do |listener|
      start_time = Process.clock_gettime(Process::CLOCK_MONOTONIC, :millisecond)
      RxModule::Communicator.call_module_method(listener.app, listener.send(who), :post, what)
      end_time = Process.clock_gettime(Process::CLOCK_MONOTONIC, :millisecond)
      Rails.logger.info "Completed push of #{what} to #{listener.app}(#{listener.send(who)}) after #{end_time - start_time}ms"
    rescue
      Rails.logger.error "Failed to push data to #{who}: #{what} to #{listener.app}: #{listener.send(who)}"
    end
  end
end
