module UsePlannedProductionTime
  extend ActiveSupport::Concern

  # use planned production time setting is used to either remove or zero out buckets which are not found within a shift.
  # possible values:
  # false
  # :zeroed
  # :remove
  def use_planned_production_time?
    !!options[:use_planned_production_time]
  end

  def zero_out_non_ppt_buckets?
    use_planned_production_time? && options[:use_planned_production_time] == :zeroed
  end

  def remove_non_ppt_buckets?
    use_planned_production_time? && options[:use_planned_production_time] == :remove
  end

  def nil_non_ppt_buckets?
    use_planned_production_time? && options[:use_planned_production_time] == :niled
  end

  def ppt_default_value
    case options[:use_planned_production_time]
    when :niled
      nil
    when :zeroed
      0
    else
      0
    end
  end
end