class DelayedJobsQueue
  def self.check_vitals
    log_queue_and_error_count_for_queues(Delayed::Worker::queue_attributes.map {|k,v| k})
  end

  private

  def self.log_queue_and_error_count_for_queues(queues)
    log_output = "DELAYED JOB QUEUES"
    queues.each do |queue|
      queue_count = get_queue_count(queue)
      log_output << " -- #{queue.gsub('_', ' ').upcase}: #{queue_count}"
    end
    Rails::logger::info log_output
  end

  def self.get_queue_count(queue)
    get_queue(queue).count
  end

  def self.get_queue_error_count(queue)
    get_queue(queue).where.not(last_error: nil).count
  end

  def self.get_queue(queue)
    Delayed::Job.where(queue: queue)
  end
end
