module MachineKpiCalculator
  class MachineStateBreakdown < MachineKpiCalculator

    include KpiTableHandler

    class << self
      def get_for_period_and_machines(start_time, end_time, timeframe, machine_ids, options)
        kpi = MachineStateBreakdown.new(start_time, end_time, timeframe, machine_ids, options)
        kpi.run
      end
    end

    def initialize(start_time, end_time, timeframe, machine_ids, options)
      super(start_time, end_time, timeframe, machine_ids, options)
    end

    def handlers
      [
        {
          key: :machine_states,
          handler: KpiTableHandler::MachineStateDurationKpiHandler,
          params: {
            machine_states: %w[on notready ready waitingforjobs processing maintenance error halt estop setup off]
          }
        }
      ]
    end

    def build_results
      data[:machine_states]
    end

    def build_results_per_machine
      data[:machine_states]
    end

    def planned_production_time_bucket(row)
      if timeframe == Timeframe::ALL
        planned_production_time = bucket_size_for_timeframe(nil)
        row.each do |ck, cv|
          row[ck][:planned_production_time] = planned_production_time
        end
      else
        row.each do |time, col|
          planned_production_time = bucket_size_for_timeframe_ppt(time)
          col.each do |ck, cv|
            row[time][ck][:planned_production_time] = planned_production_time
          end
        end
      end
    end
  end
end
