# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module VftOrbit2
    extend ActiveSupport::Concern

    class_methods do
      def abort_filters_data
        [
          {name: 'Workpiece dynamic pressure', regexps: 'workpiece dynamic pressure', behaviour: 'replace', replace_name: 'Workpiece dynamic pressure', group_code: 'wdp_err_1'},
          {name: 'Freeform file: format error', regexps: 'freeform file: format error', behaviour: 'replace', replace_name: 'Freeform file: format error', group_code: 'host_err_5'},
          {name: 'Loader tray position', regexps: 'loader tray position', behaviour: 'replace', replace_name: 'Loader tray position', group_code: 'auto_err_1'},
          {name: 'CT too small', regexps: 'ct too small', behaviour: 'replace', replace_name: 'CT too small', group_code: 'host_err_2'},
          {name: 'Barcode not readable', regexps: 'barcode not readable', behaviour: 'replace', replace_name: 'Barcode not readable', group_code: 'barcode_err_1'},
          {name: 'Part on Chuck', regexps: 'remove the part from the chuck', behaviour: 'replace', replace_name: 'Part on Chuck', group_code: 'chuck_err_1'},
          {name: 'Loader vacuum finish part', regexps: 'loader vacuum finish part', behaviour: 'replace', replace_name: 'Loader vacuum finish part', group_code: 'auto_err_2'},
          {name: 'Setting value too large', regexps: 'setting value too large', behaviour: 'replace', replace_name: 'Setting value too larges', group_code: 'capa_err_5'},
          {name: 'Waste water tank max level', regexps: 'waste water tank max level', behaviour: 'replace', replace_name: 'Waste water tank max level', group_code: 'cool_err_1'},
          {name: 'Surface radius smaller than tool radius', regexps: 'surface radius smaller than tool radius', behaviour: 'replace', replace_name: 'Surf. rad. smaller than tool rad.', group_code: 'capa_err_1'},
          {name: 'Error door automatic loading', regexps: 'error door automatic loading', behaviour: 'replace', replace_name: 'Error door automatic loading', group_code: 'auto_err_3'},
          {name: 'Low coolant flow milling or flushing', regexps: 'low coolant flow', behaviour: 'replace', replace_name: 'Low coolant flow milling or flushing', group_code: 'cool_err_2'},
          {name: 'Error water level work room', regexps: 'water level work room', behaviour: 'replace', replace_name: 'Error water level work room', group_code: 'cool_err_3'},
          {name: 'Loader reset not complete', regexps: 'loader reset not complete', behaviour: 'replace', replace_name: 'Loader reset not complete', group_code: 'auto_err_4'},
          {name: 'Collision tool - workpiece reception', regexps: 'collision tool', behaviour: 'replace', replace_name: 'Collision tool - workpiece reception', group_code: 'coli_err_1'},
          {name: 'Chip output: Pump error: 1', regexps: 'chip output: Pump error', behaviour: 'replace', replace_name: 'Chip output: Pump error: 1', group_code: 'cool_err_4'},
          {name: 'Drive error: Amplifier V-axis', regexps: 'drive error: amplifier v-axis', behaviour: 'replace', replace_name: 'Drive error: Amplifier V-axis', group_code: 'drive_err_1'},
          {name: 'Error: B-axis following error', regexps: 'b-axis following error', behaviour: 'replace', replace_name: 'Error: B-axis following error', group_code: 'drive_err_2'},
          {name: 'Error: Turning buffer comm.: 1', regexps: 'turning buffer communication: 1', behaviour: 'replace', replace_name: 'Error: Turning buffer comm.: 1', group_code: 'drive_err_3'},
          {name: 'Fast tool 1 not active !', regexps: 'fast tool 1 not active', behaviour: 'replace', replace_name: 'Fast tool 1 not active !', group_code: 'dri_err_4'},
          {name: 'Error: X-axis following error', regexps: 'x-axis following error', behaviour: 'replace', replace_name: 'Error: X-axis following error', group_code: 'dri_err_5'},
          {name: 'Drive: Following error B-axis', regexps: 'following error b-axis', behaviour: 'replace', replace_name: 'Drive: Following error B-axis', group_code: 'dri_err_6'},
          {name: 'Error: FT1-axis following error', regexps: 'ft1-axis following error', behaviour: 'replace', replace_name: 'Error: FT1-axis following error', group_code: 'dri_err_7'},
          {name: 'Turning buffer empty', regexps: 'turning buffer empty', behaviour: 'replace', replace_name: 'Turning buffer empty', group_code: 'dri_err_8'},
          {name: 'Error: Y-axis following error', regexps: 'y-axis following error', behaviour: 'replace', replace_name: 'Error: Y-axis following error', group_code: 'dri_err_9'},
          {name: 'Error: FT2-axis following error', regexps: 'ft2-axis following error', behaviour: 'replace', replace_name: 'Error: FT2-axis following error', group_code: 'dri_err_10'},
          {name: 'Fast tool 2 not active', regexps: 'fast tool 2 not active', behaviour: 'replace', replace_name: 'Fast tool 2 not active', group_code: 'dri_err_11'},
          {name: 'Drive: Following error axis: 3', regexps: 'following error axis: 3', behaviour: 'replace', replace_name: 'Drive: Following error axis: 3', group_code: 'dri_err_12'},
          {name: 'Drive: Amplifier axis: 3', regexps: 'amplifier axis: 3', behaviour: 'replace', replace_name: 'Drive: Amplifier axis: 3', group_code: 'dri_err_13'},
          {name: 'Limit exceeded A-axis', regexps: 'limit exceeded a-axis', behaviour: 'replace', replace_name: 'Limit exceeded A-axis', group_code: 'dri_err_14'},
          {name: 'Toolspindle is not rotating', regexps: 'toolspindle is not rotating', behaviour: 'replace', replace_name: 'Toolspindle is not rotating', group_code: 'dri_err_15'},
          {name: 'Following error Z2-axis', regexps: 'following error z2-axis', behaviour: 'replace', replace_name: 'Following error Z2-axis', group_code: 'dri_err_16'},
          {name: 'Drive: Amplifier Y-axis', regexps: 'amplifier y-axis', behaviour: 'replace', replace_name: 'Drive: Amplifier Y-axis', group_code: 'dri_err_17'},
          {name: 'Drive: Following error V-axis', regexps: 'following error v-axis', behaviour: 'replace', replace_name: 'Drive: Following error V-axis', group_code: 'dri_err_18'},
          {name: 'E-stop pressed', regexps: 'emergency stop active', behaviour: 'replace', replace_name: 'E-stop pressed', group_code: 'estop_err_1'},
          {name: 'Error Pressure Supply', regexps: 'Error pressure supply', behaviour: 'replace', replace_name: 'Error Pressure Supply', group_code: 'pressure_err_1'},
          {name: 'Air Pressure Fast Tool', regexps: 'air pressure fast tools', behaviour: 'replace', replace_name: 'Air Pressure Fast Tool', group_code: 'pressure_err_2'},
          {name: 'Safety Fault', regexps: 'safety fault', behaviour: 'replace', replace_name: 'Safety Fault', group_code: 'safety_err_1'},
          {name: 'Finished diameter > Blank diameter !', regexps: 'finished diameter > blank diameter', behaviour: 'replace', replace_name: 'Finished dia. > Blank dia.', group_code: 'diam_err_1'},
          {name: 'FF file: not found !', regexps: 'freeform file: not found', behaviour: 'replace', replace_name: 'FF file: not found', group_code: 'host_err_1'},
          {name: 'Finished diameter too large', regexps: 'finished diameter too large', behaviour: 'replace', replace_name: 'Finished diameter too large', group_code: 'host_err_3'},
          {name: 'Base curve < Cylinder curve', regexps: 'base curve < cylinder curve', behaviour: 'replace', replace_name: 'Base curve < Cylinder curve', group_code: 'host_err_4'},
          {name: 'Missing surface data', regexps: 'missing surface data', behaviour: 'replace', replace_name: 'Missing surface data', group_code: 'host_err_6'},
          {name: 'Invalid Macro', regexps: 'invalid macro', behaviour: 'replace', replace_name: 'Invalid Macro', group_code: 'host_err_7'},
          {name: 'Base curve > Cylinder curve', regexps: 'base curve > cylinder curve', behaviour: 'replace', replace_name: 'Base curve > Cylinder curve', group_code: 'host_err_8'},
          {name: 'Error door automatic loading', regexps: 'error door automatic loading', behaviour: 'replace', replace_name: 'Error door automatic loading', group_code: 'auto_err_5'},
          {name: 'Surf. angle > Turn. tool apex angle', regexps: 'surface angle > turning tool apex angle', behaviour: 'replace', replace_name: 'Surf. angle > Turn. tool apex angle', group_code: 'capa_err_2'},
          {name: 'Workpiece dia. < Block dia.', regexps: 'workpiece diameter < block diameter', behaviour: 'replace', replace_name: 'Workpiece dia. < Block dia.', group_code: 'capa_err_3'},
          {name: 'Prism angle out of limits', regexps: 'prism angle not between 0 and maximum value', behaviour: 'replace', replace_name: 'Prism angle out of limits', group_code: 'capa_err_4'}
        ]
      end
    end
  end
end

