module ForwardMachineData
  extend ActiveSupport::Concern

  def forward
    forwarding_path = "#{forwarding_model}_path".to_sym
    forwarding_method = "#{forwarding_model}_method".to_sym
    push_targets = machine.push_targets_for_path(forwarding_path)

    return if push_targets.size == 0

    ForwardMachineDataJob.perform_later(machine.id, forwarding_model, forwarding_path, forwarding_method, forwarding_params, forwarding_data)
  end

  def forwarding_data
    Raise NotImplementedError;
  end

  def forwarding_model
    Raise NotImplementedError;
  end

  def forwarding_params
    Raise NotImplementedError;
  end
end
