# == Schema Information
#
# Table name: machine_data_push_targets
#
#  id                     :bigint           not null, primary key
#  base_url               :string(4000)
#  calibration_method     :integer          default("put")
#  calibration_path       :string(4000)
#  error_method           :integer          default("put")
#  error_path             :string(4000)
#  event_method           :integer          default("put")
#  event_path             :string(4000)
#  include_machine_name   :boolean          default(FALSE)
#  include_request_params :boolean          default(FALSE)
#  job_state_method       :integer          default("put")
#  job_state_path         :string(4000)
#  machine_state_method   :integer          default("put")
#  machine_state_path     :string(4000)
#  maintenance_method     :integer          default("put")
#  maintenance_path       :string(4000)
#  name                   :string(4000)
#  order_method           :integer          default("put")
#  order_path             :string(4000)
#  process_data_method    :integer          default("put")
#  process_data_path      :string(4000)
#  send_to                :integer
#  single_endpoint_method :integer
#  single_endpoint_path   :string(4000)
#  update_order_method    :integer          default("put")
#  update_order_path      :string(4000)
#  use_single_endpoint    :boolean          default(FALSE)
#  created_at             :datetime         not null
#  updated_at             :datetime         not null
#
class MachineDataPushTarget < ApplicationRecord
  has_many :machine_machine_data_push_targets
  has_many :machines, :through => :machine_machine_data_push_targets
  has_many :machine_data_push_target_headers

  enum send_to: [:all_machines, :specific_machines]
  enum order_method: [:put, :post], _prefix: :order
  enum update_order_method: [:put, :post], _prefix: :update_order
  enum machine_state_method: [:put, :post], _prefix: :machine_state
  enum job_state_method:[:put, :post], _prefix: :job_state
  enum error_method: [:put, :post], _prefix: :error
  enum event_method: [:put, :post], _prefix: :event
  enum maintenance_method: [:put, :post], _prefix: :maintenance
  enum calibration_method: [:put, :post], _prefix: :calibration
  enum process_data_method: [:put, :post], _prefix: :process_data
end
