# == Schema Information
#
# Table name: machine_error_filters
#
#  id              :bigint           not null, primary key
#  created_at      :datetime         not null
#  updated_at      :datetime         not null
#  error_filter_id :bigint           not null
#  machine_id      :bigint           not null
#
# Indexes
#
#  index_machine_error_filters_on_error_filter_id  (error_filter_id)
#  index_machine_error_filters_on_machine_id       (machine_id)
#
# Foreign Keys
#
#  fk_rails_...  (error_filter_id => error_filters.id)
#  fk_rails_...  (machine_id => machines.id)
#
class MachineErrorFilter < ApplicationRecord
  belongs_to :machine
  belongs_to :error_filter

  def should_archive?
    false
  end
end
