# -*- SkipSchemaAnnotations

module MachineTypes
  module Blockers
    class ArtBlockPod < Blocker
      include ErrorFilterMachineTypes::ArtBlocker
      include AbortFilterMachineTypes::ArtBlocker

      class << self
        def seed_version
          1
        end

        def display_name
          'ART-Block-Pod'
        end

        def name
          'art_block_pod'
        end

        def image_name
          'art_block_pod.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Block_pod_maintenance_EN" },
              de: { name: "ART_Block_pod_maintenance_DE" },
              it: { name: "ART_Block_pod_maintenance_IT" },
              ja: { name: "ART_Block_pod_maintenance_JA" }
            },
            operating: {
              en: { name: "ART_Block_pod_operation_EN" },
              de: { name: "ART_Block_pod_operation_DE" },
              it: { name: "ART_Block_pod_operation_IT" },
              js: { name: "ART_Block_pod_operation_JA" }
            }
          }
        end
      end
    end
  end
end

