# -*- SkipSchemaAnnotations

module MachineTypes
  module Blockers
    class ArtBlockerA < Blocker
      include ErrorFilterMachineTypes::ArtBlocker
      include AbortFilterMachineTypes::ArtBlocker

      class << self
        def seed_version
          1
        end

        def display_name
          'ART-Blocker-A'
        end

        def name
          'art_blocker_a'
        end

        def image_name
          'art_blocker_a.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Blocker_A_maintenance_EN" }
            },
            operating: {
              en: { name: "ART_Blocker_A_operation_EN" }
            }
          }
        end
      end
    end
  end
end

