# -*- SkipSchemaAnnotations

module MachineTypes
  module Blockers
    class ArtBlockerM < Blocker
      class << self
        def seed_version
          1
        end

        def display_name
          "ART-Blocker-M"
        end

        def name
          "art_blocker_m"
        end

        def image_name
          'art_blocker_m.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: false,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Blocker_M_maintenance_EN"}
            },
            operating: {
              en: { name: "ART_Blocker_M_operation_EN"}
            }
          }
        end
      end
    end
  end
end

