# -*- SkipSchemaAnnotations

module MachineTypes
  module Deblockers
    class ArtDeblockerA < Deblocker
      include ErrorFilterMachineTypes::ArtDeblocker

      class << self
        def seed_version
          1
        end

        def display_name
          "ART-Deblocker"
        end

        def name
          "art_deblocker_a"
        end

        def image_name
          'art_deblocker_a.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: false,
            process_data: true,
            event: false,
            calibration: false
          }
        end

        def error_filters
          error_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Deblocker_2_maintenance_EN"}
            },
            operating: {
              en: { name: "ART_Deblocker_2_operation_EN"}
            }
          }
        end
      end
    end
  end
end

