# -*- SkipSchemaAnnotations

module MachineTypes
  module Deblockers
    class ArtDeblockerA2 < Deblocker
      include ErrorFilterMachineTypes::ArtDeblocker2

      class << self
        def seed_version
          2
        end

        def display_name
          "ART-Deblocker-2"
        end

        def name
          "art_deblocker_a_2"
        end

        def image_name
          'art_deblocker_a2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: false,
            process_data: true,
            event: false,
            calibration: false
          }
        end

        def error_filters
          error_filters_data
        end

        def apply_patch(machine_type)
          machine_type.update(
            maintenance_enabled: true,
            event_data_enabled: true
          )
        end
      end
    end
  end
end

