# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class MultiFlex < Polisher
      include ErrorFilterMachineTypes::MultiFlex
      include AbortFilterMachineTypes::MultiFlex

      class << self
        def seed_version
          1
        end

        def display_name
          "Multi-FLEX"
        end

        def name
          "multi_flex"
        end

        def image_name
          "multi_flex.png"
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              de: { name: "Multi_Flex_maintenance_DE"},
              en: { name: "Multi_Flex_maintenance_EN"},
              es: { name: "Multi_Flex_maintenance_ES"},
              fr: { name: "Multi_Flex_maintenance_FR"},
              it: { name: "Multi_Flex_maintenance_IT"}
            },
            operating: {
              de: { name: "Multi_Flex_operation_DE"},
              en: { name: "Multi_Flex_operation_EN"},
              es: { name: "Multi_Flex_operation_ES"},
              fr: { name: "Multi_Flex_operation_FR"},
              it: { name: "Multi_Flex_operation_IT"},
              pl: { name: "Multi_Flex_operation_PL"},
              pt: { name: "Multi_Flex_operation_PT"}
            }
          }
        end
      end
    end
  end
end

