# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class MultiFlex2 < Polisher
      include ErrorFilterMachineTypes::MultiFlex2
      include AbortFilterMachineTypes::MultiFlex2

      class << self
        def seed_version
          1
        end

        def display_name
          "Multi-FLEX-2"
        end

        def name
          "multi_flex_2"
        end

        def image_name
          'multi_flex_2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              de: { name: "Multi_Flex_2_maintenance_DE"},
              en: { name: "Multi_Flex_2_maintenance_EN"},
              es: { name: "Multi_Flex_2_maintenance_ES"},
              fr: { name: "Multi_Flex_2_maintenance_FR"},
              it: { name: "Multi_Flex_2_maintenance_IT"},
              pl: { name: "Multi_Flex_2_maintenance_PL"},
              pt: { name: "Multi_Flex_2_maintenance_PT"}
            },
            operating: {
              de: { name: "Multi_Flex_2_operation_DE"},
              en: { name: "Multi_Flex_2_operation_EN"},
              es: { name: "Multi_Flex_2_operation_ES"},
              fr: { name: "Multi_Flex_2_operation_FR"},
              it: { name: "Multi_Flex_2_operation_IT"},
              pl: { name: "Multi_Flex_2_operation_PL"},
              pt: { name: "Multi_Flex_2_operation_PT"}
            }
          }
        end
      end
    end
  end
end

