class MesLiteMachinePerformanceReport < MachineTemplateReport

  class << self
    def report_type
      "MES Lite Machine Performance Report"
    end
  end

  expose('mes_lite_machine_performance_report', report_type, "Overview of various key KPIs that help gage the performance of a machine.", "MESLiteMachinePerformanceReport")
  use_machine_targets(false, false)

  def performance_report_type(target)
    report_targets = MachineTemplateReport.reporting_targets.flat_map { |r| r[:options]}
    report_targets.find {|x| x[:value] === target}[:chart_type]
  end

  def performance_chart_component
    if performance_report_type(@parameters[:target_ids]) == "box_coater"
      {
        component: ReportComponents::MachinePerformanceBatch,
        args: {
          aggregate_machines: false,
          colorize_series: true
        }
      }
    else
      {
        component: ReportComponents::MachinePerformanceOverview,
        args: {}
      }
    end
  end

  def components
    [
      performance_chart_component,
      {
        component: ReportComponents::MachineTopErrorsBar,
        args: {
          addons: [:as_percent],
          aggregate_machines: false,
          colorize_series: true
        }
      },
      {
        component: ReportComponents::MachineStateBreakdownPie,
        args: {}
      },
      {
        component: ReportComponents::MachineEfficiencyOverview,
        args: {
          aggregate_machines: false,
          colorize_series: true
        }
      }
    ]
  end
end