class CreateAbortFilters < ActiveRecord::Migration[6.1]
  def change
    create_table :abort_filters do |t|
      t.string :name
      t.string :regexps
      t.integer :behaviour
      t.string :replace_name
      t.boolean :system_default, default: false
      t.string :group_code
      t.boolean :enabled, default: true
      t.references :filter_target, polymorphic: true
      t.timestamps
    end

    add_index :abort_filters, [:filter_target_type, :filter_target_id], name: :abort_filter_target_type_id
    add_index :abort_filters, :group_code, :unique => true, name: :abort_group_code
  end
end
