class AddMethodsToExternalForwardingEndpoints < ActiveRecord::Migration[6.1]
  def up
    add_column :machine_data_push_targets, :order_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :update_order_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :machine_state_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :job_state_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :error_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :event_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :maintenance_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :calibration_method, :integer, default: 0, required: true
    add_column :machine_data_push_targets, :process_data_method, :integer, default: 0, required: true
    execute("update machine_data_push_targets set order_method=0,
                                     update_order_method=0,
                                     machine_state_method=0,
                                     job_state_method=0,
                                     error_method=0,
                                     event_method=0,
                                     maintenance_method=0,
                                     calibration_method=0,
                                     process_data_method=0")
  end

  def down
    remove_column :machine_data_push_targets, :order_method
    remove_column :machine_data_push_targets, :update_order_method
    remove_column :machine_data_push_targets, :machine_state_method
    remove_column :machine_data_push_targets, :job_state_method
    remove_column :machine_data_push_targets, :error_method
    remove_column :machine_data_push_targets, :event_method
    remove_column :machine_data_push_targets, :maintenance_method
    remove_column :machine_data_push_targets, :calibration_method
    remove_column :machine_data_push_targets, :process_data_method
  end
end
