# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2025_05_09_133900) do

  create_table "abort_filters", force: :cascade do |t|
    t.string "name"
    t.string "regexps"
    t.integer "behaviour"
    t.string "replace_name"
    t.boolean "system_default", default: false
    t.string "group_code"
    t.boolean "enabled", default: true
    t.string "filter_target_type"
    t.bigint "filter_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["filter_target_type", "filter_target_id"], name: "abort_filter_target_type_id"
    t.index ["filter_target_type", "filter_target_id"], name: "index_abort_filters_on_filter_target"
    t.index ["group_code"], name: "abort_group_code", unique: true
  end

  create_table "addresses", force: :cascade do |t|
    t.string "name"
    t.string "street"
    t.string "city"
    t.string "postal_code"
    t.string "country"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "archive_tasks", force: :cascade do |t|
    t.integer "method"
    t.binary "serialized_target_attributes"
    t.binary "serialized_target_class"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "retry_count", default: 0
    t.index ["method"], name: "index_archive_tasks_on_method"
  end

  create_table "batch_container_data", force: :cascade do |t|
    t.bigint "batch_container_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_container_id"], name: "index_batch_container_data_on_batch_container_id"
  end

  create_table "batch_containers", force: :cascade do |t|
    t.bigint "batch_id", null: false
    t.integer "external_container_id"
    t.integer "order"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_id"], name: "index_batch_containers_on_batch_id"
  end

  create_table "batch_job_data", force: :cascade do |t|
    t.bigint "batch_container_id", null: false
    t.bigint "job_id"
    t.integer "position"
    t.boolean "skipped"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_container_id"], name: "index_batch_job_data_on_batch_container_id"
    t.index ["job_id"], name: "index_batch_job_data_on_job_id"
  end

  create_table "batch_run_data", force: :cascade do |t|
    t.bigint "batch_run_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_run_id"], name: "index_batch_run_data_on_batch_run_id"
  end

  create_table "batch_runs", force: :cascade do |t|
    t.bigint "batch_id", null: false
    t.string "run_key"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_id"], name: "index_batch_runs_on_batch_id"
    t.index ["run_key"], name: "index_batch_runs_on_run_key", unique: true
  end

  create_table "batches", force: :cascade do |t|
    t.string "batch_id"
    t.string "process_code"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_id"], name: "index_batches_on_batch_id", unique: true
  end

  create_table "block_picking_shift_references", force: :cascade do |t|
    t.bigint "block_picking_id"
    t.bigint "shift_reference_id"
    t.index ["block_picking_id"], name: "index_block_picking_shift_references_on_block_picking_id"
    t.index ["shift_reference_id"], name: "index_block_picking_shift_references_on_shift_reference_id"
  end

  create_table "block_picking_tags", force: :cascade do |t|
    t.string "name"
    t.string "tag"
    t.string "regex"
    t.bigint "block_picking_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["block_picking_id"], name: "index_block_picking_tags_on_block_picking_id"
  end

  create_table "block_pickings", force: :cascade do |t|
    t.string "name"
    t.string "ip_address"
    t.integer "port"
    t.string "device_type"
    t.string "scan"
    t.integer "block_count", default: 0
    t.boolean "hide_block_count", default: false
    t.boolean "send_job_states", default: false
    t.boolean "use_scan_count", default: false
    t.boolean "hide_tray_number", default: false
    t.boolean "hide_job_number", default: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "delay_on_socket_open", default: 0
    t.boolean "hold_connection", default: false
    t.integer "external_dcs_id"
  end

  create_table "block_reactivate_histories", force: :cascade do |t|
    t.bigint "block_id", null: false
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["block_id"], name: "index_block_reactivate_histories_on_block_id"
  end

  create_table "block_reuse_settings", force: :cascade do |t|
    t.boolean "enable_server"
    t.integer "server_port"
    t.integer "block_wash_after", default: 30
    t.integer "block_discard_after", default: 500
    t.string "last_server_message"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "block_table_locked", default: false, null: false
  end

  create_table "blocks", force: :cascade do |t|
    t.string "dmc"
    t.integer "side"
    t.string "rfid_tag"
    t.integer "usage_count", default: 0
    t.bigint "job_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "cycles_until_wash", default: 30
    t.integer "cycles_until_discard", default: 500
    t.index ["dmc"], name: "index_blocks_on_dmc"
    t.index ["job_id"], name: "index_blocks_on_job_id"
  end

  create_table "box_coater_batches", force: :cascade do |t|
    t.bigint "machine_id", null: false
    t.datetime "time", null: false
    t.string "batch_id"
    t.integer "lens_count"
    t.integer "empty_holes_count"
    t.string "crystal_life"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "box_coater_event_id"
    t.index ["box_coater_event_id"], name: "index_box_coater_batches_on_box_coater_event_id"
    t.index ["machine_id"], name: "index_box_coater_batches_on_machine_id"
  end

  create_table "box_coater_events", force: :cascade do |t|
    t.bigint "machine_id", null: false
    t.datetime "time", null: false
    t.integer "event_type", null: false
    t.string "recipe"
    t.string "operator_note"
    t.string "reporting_category"
    t.decimal "duration", precision: 10, scale: 3
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "box_coater_batch_id"
    t.index ["box_coater_batch_id"], name: "index_box_coater_events_on_box_coater_batch_id"
    t.index ["machine_id"], name: "index_box_coater_events_on_machine_id"
  end

  create_table "box_coater_recipes", force: :cascade do |t|
    t.string "name", null: false
    t.string "recipe_code", null: false
    t.integer "processing_time", null: false
    t.integer "dome_side", null: false
  end

  create_table "calibration_corrections", force: :cascade do |t|
    t.bigint "calibration_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["calibration_id"], name: "index_calibration_corrections_on_calibration_id"
  end

  create_table "calibration_measurements", force: :cascade do |t|
    t.bigint "calibration_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["calibration_id"], name: "index_calibration_measurements_on_calibration_id"
  end

  create_table "calibrations", force: :cascade do |t|
    t.string "target"
    t.string "target_name"
    t.string "calibration_type"
    t.string "sub_type"
    t.string "mode"
    t.string "user"
    t.datetime "time"
    t.string "machine_sn"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_sn"], name: "index_calibrations_on_machine_sn"
  end

  create_table "capabilities", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "capability_capability_groups", id: false, force: :cascade do |t|
    t.bigint "capability_id", null: false
    t.bigint "capability_group_id", null: false
  end

  create_table "capability_groups", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "colors", force: :cascade do |t|
    t.string "status_name"
    t.string "color"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "data_archive_settings", force: :cascade do |t|
    t.integer "job_max_age", default: 336
    t.integer "delete_count_order", default: 3
    t.integer "delete_count_job", default: 5
    t.integer "delete_count_machine_state", default: 4
    t.integer "delete_count_error", default: 3
    t.integer "delete_count_maintenance", default: 2
    t.integer "delete_count_event", default: 2
    t.integer "delete_count_calibration", default: 2
    t.integer "cycle_interval", default: 10
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "delete_count_kpi_cache", default: 4
  end

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "eer_event_machine_states", force: :cascade do |t|
    t.bigint "eer_event_id"
    t.bigint "machine_state_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["eer_event_id"], name: "index_eer_event_machine_states_on_eer_event_id"
    t.index ["machine_state_id"], name: "index_eer_event_machine_states_on_machine_state_id"
  end

  create_table "eer_yields", force: :cascade do |t|
    t.integer "value"
    t.datetime "date"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "machine_id"
    t.index ["machine_id"], name: "index_eer_yields_on_machine_id"
  end

  create_table "error_filters", force: :cascade do |t|
    t.string "name"
    t.string "error_codes"
    t.integer "behaviour"
    t.string "replace_name"
    t.boolean "system_default", default: false
    t.string "group_code"
    t.boolean "enabled", default: true
    t.string "filter_target_type"
    t.bigint "filter_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["error_codes"], name: "index_error_filters_on_error_codes"
    t.index ["filter_target_type", "filter_target_id"], name: "index_error_filters_on_filter_target"
    t.index ["filter_target_type", "filter_target_id"], name: "index_error_filters_on_filter_target_type_and_filter_target_id"
    t.index ["group_code"], name: "index_error_filters_on_group_code", unique: true
  end

  create_table "errors", force: :cascade do |t|
    t.integer "piececounter"
    t.integer "errno"
    t.string "error"
    t.integer "errortype"
    t.integer "status"
    t.bigint "job_id"
    t.datetime "time"
    t.string "machine_sn"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "error_filter_id"
    t.index ["error_filter_id"], name: "index_errors_on_error_filter_id"
    t.index ["job_id"], name: "index_errors_on_job_id"
    t.index ["machine_sn"], name: "index_errors_on_machine_sn"
  end

  create_table "event_data", force: :cascade do |t|
    t.bigint "event_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["event_id"], name: "index_event_data_on_event_id"
  end

  create_table "events", force: :cascade do |t|
    t.string "message"
    t.integer "event_type"
    t.datetime "time"
    t.string "machine_sn"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_sn"], name: "index_events_on_machine_sn"
  end

  create_table "job_breakage_data", force: :cascade do |t|
    t.string "breakage_reason"
    t.string "breakage_category"
    t.boolean "broken", default: false
    t.bigint "job_id", null: false
    t.bigint "job_breakage_id"
    t.integer "breakage_reason_id"
    t.integer "breakage_category_id"
    t.index ["job_breakage_id"], name: "index_job_breakage_data_on_job_breakage_id"
    t.index ["job_id"], name: "index_job_breakage_data_on_job_id"
  end

  create_table "job_breakages", force: :cascade do |t|
    t.string "posted_by"
    t.integer "posted_by_user_id"
    t.datetime "posted_at"
    t.boolean "accepted", default: false
    t.string "validated_by"
    t.integer "validated_by_user_id"
    t.datetime "validated_at"
    t.string "job_number"
    t.index ["job_number"], name: "index_job_breakages_on_job_number"
  end

  create_table "job_capabilities", id: false, force: :cascade do |t|
    t.bigint "job_id", null: false
    t.bigint "capability_id", null: false
  end

  create_table "job_data", force: :cascade do |t|
    t.string "name"
    t.string "value"
    t.integer "side"
    t.bigint "job_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["created_at"], name: "index_job_data_on_created_at"
    t.index ["job_id"], name: "index_job_data_on_job_id"
    t.index ["side"], name: "index_job_data_on_side"
  end

  create_table "job_manufacturing_processes", force: :cascade do |t|
    t.bigint "job_id"
    t.bigint "manufacturing_process_id"
    t.index ["job_id"], name: "index_job_manufacturing_processes_on_job_id"
    t.index ["manufacturing_process_id"], name: "index_job_manufacturing_processes_on_manufacturing_process_id"
  end

  create_table "job_process_parameters", force: :cascade do |t|
    t.bigint "job_process_id", null: false
    t.string "name"
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["job_process_id"], name: "index_job_process_parameters_on_job_process_id"
  end

  create_table "job_processes", force: :cascade do |t|
    t.bigint "machine_id", null: false
    t.bigint "job_id", null: false
    t.bigint "manufacturing_process_id"
    t.string "batch_id"
    t.datetime "time"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "side"
    t.index ["job_id"], name: "index_job_processes_on_job_id"
    t.index ["machine_id"], name: "index_job_processes_on_machine_id"
    t.index ["manufacturing_process_id"], name: "index_job_processes_on_manufacturing_process_id"
    t.index ["side"], name: "index_job_processes_on_side"
  end

  create_table "job_states", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.string "batch_id"
    t.string "process"
    t.integer "side"
    t.integer "state", default: 3
    t.string "comment"
    t.boolean "scrap"
    t.string "scrap_reason"
    t.datetime "time"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "machine_id", null: false
    t.string "substate"
    t.bigint "abort_filter_id"
    t.integer "abort_code"
    t.index ["abort_filter_id"], name: "index_job_states_on_abort_filter_id"
    t.index ["created_at"], name: "index_job_states_on_created_at"
    t.index ["job_id"], name: "index_job_states_on_job_id"
    t.index ["machine_id"], name: "index_job_states_on_machine_id"
    t.index ["side"], name: "index_job_states_on_side"
    t.index ["time"], name: "index_job_states_on_time"
  end

  create_table "jobs", force: :cascade do |t|
    t.string "number"
    t.string "name"
    t.string "description"
    t.integer "sequence_number"
    t.integer "priority"
    t.string "manufacturer"
    t.integer "side"
    t.string "lmat_id"
    t.string "lmat_type"
    t.string "batch_criteria"
    t.string "template"
    t.string "job_type"
    t.boolean "enabled"
    t.bigint "order_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.datetime "expiry_date"
    t.index ["number", "side", "expiry_date"], name: "index_jobs_on_number_and_side_and_expiry_date"
    t.index ["number"], name: "index_jobs_on_number"
    t.index ["order_id"], name: "index_jobs_on_order_id"
  end

  create_table "kpi_current_machine_states", force: :cascade do |t|
    t.string "machine_sn"
    t.integer "state", default: 10
    t.datetime "time", default: '11-23-2023 17:24:04.846'
    t.string "comment"
    t.index ["machine_sn"], name: "uniq_machine_sn", unique: true
  end

  create_table "kpi_job_states", force: :cascade do |t|
    t.datetime "time", null: false
    t.integer "started_0", default: 0
    t.integer "started_1", default: 0
    t.integer "aborted_0", default: 0
    t.integer "aborted_1", default: 0
    t.integer "finished_0", default: 0
    t.integer "finished_1", default: 0
    t.integer "postponed_0", default: 0
    t.integer "postponed_1", default: 0
    t.integer "skipped_0", default: 0
    t.integer "skipped_1", default: 0
    t.integer "restarted_0", default: 0
    t.integer "restarted_1", default: 0
    t.bigint "machine_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_kpi_job_states_on_machine_id"
    t.index ["time", "machine_id"], name: "kpi_kpi_job_states_uniq_time_per_machine", unique: true
  end

  create_table "kpi_machine_abort_counts", force: :cascade do |t|
    t.datetime "time", null: false
    t.bigint "machine_id"
    t.string "group_code", null: false
    t.integer "count", default: 0
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_kpi_machine_abort_counts_on_machine_id"
    t.index ["time", "machine_id", "group_code"], name: "kpi_machine_abort_count_uniq_time_code", unique: true
  end

  create_table "kpi_machine_error_counts", force: :cascade do |t|
    t.datetime "time", null: false
    t.bigint "machine_id"
    t.string "group_code", null: false
    t.integer "count", default: 0
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_kpi_machine_error_counts_on_machine_id"
    t.index ["time", "machine_id", "group_code"], name: "kpi_machine_error_count_uniq_time_per_machine_or_group_code", unique: true
  end

  create_table "kpi_machine_state_durations", force: :cascade do |t|
    t.datetime "time", null: false
    t.decimal "on", precision: 10, scale: 3, default: 0.0
    t.decimal "notready", precision: 10, scale: 3, default: 0.0
    t.decimal "ready", precision: 10, scale: 3, default: 0.0
    t.decimal "waitingforjobs", precision: 10, scale: 3, default: 0.0
    t.decimal "processing", precision: 10, scale: 3, default: 0.0
    t.decimal "maintenance", precision: 10, scale: 3, default: 0.0
    t.decimal "error", precision: 10, scale: 3, default: 0.0
    t.decimal "halt", precision: 10, scale: 3, default: 0.0
    t.decimal "estop", precision: 10, scale: 3, default: 0.0
    t.decimal "setup", precision: 10, scale: 3, default: 0.0
    t.decimal "off", precision: 10, scale: 3, default: 0.0
    t.bigint "machine_id"
    t.boolean "dirty", default: false
    t.index ["machine_id"], name: "index_kpi_machine_state_durations_on_machine_id"
    t.index ["time", "machine_id"], name: "kpi_machine_state_duration_uniq_time_per_machine", unique: true
  end

  create_table "kpi_routing_kickouts", force: :cascade do |t|
    t.datetime "time", null: false
    t.integer "no_valid_path", default: 0
    t.integer "routed_while_waiting_other_process", default: 0
    t.integer "fail_fetch_processes", default: 0
    t.integer "marked_dead", default: 0
    t.integer "no_processes", default: 0
    t.integer "received_invalid_process", default: 0
    t.integer "no_processes_at_non_start", default: 0
    t.integer "manual_reject", default: 0
    t.integer "process_aborted", default: 0
    t.integer "time_sync_error", default: 0
    t.integer "fetch_job_inf_failed", default: 0
    t.integer "failed_to_synchronize", default: 0
    t.integer "rework_complete", default: 0
    t.integer "other", default: 0
    t.bigint "machine_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_kpi_routing_kickouts_on_machine_id"
    t.index ["time", "machine_id"], name: "kpi_routing_kickout_uniq_time_per_machine", unique: true
  end

  create_table "machine_data_push_target_headers", force: :cascade do |t|
    t.string "header"
    t.string "value"
    t.bigint "machine_data_push_target_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_data_push_target_id"], name: "index_headers_on_push_target_id"
  end

  create_table "machine_data_push_targets", force: :cascade do |t|
    t.string "name"
    t.string "base_url"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "machine_state_path"
    t.string "job_state_path"
    t.string "error_path"
    t.string "event_path"
    t.string "maintenance_path"
    t.string "process_data_path"
    t.integer "send_to"
    t.string "calibration_path"
    t.string "order_path"
    t.string "update_order_path"
    t.boolean "use_single_endpoint", default: false
    t.string "single_endpoint_path"
    t.integer "single_endpoint_method"
    t.integer "order_method", default: 0
    t.integer "update_order_method", default: 0
    t.integer "machine_state_method", default: 0
    t.integer "job_state_method", default: 0
    t.integer "error_method", default: 0
    t.integer "event_method", default: 0
    t.integer "maintenance_method", default: 0
    t.integer "calibration_method", default: 0
    t.integer "process_data_method", default: 0
    t.boolean "include_request_params", default: false
    t.boolean "include_machine_name", default: false
  end

  create_table "machine_groups", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "color"
  end

  create_table "machine_groups_machines", id: false, force: :cascade do |t|
    t.bigint "machine_id", null: false
    t.bigint "machine_group_id", null: false
  end

  create_table "machine_machine_data_push_targets", force: :cascade do |t|
    t.bigint "machine_id"
    t.bigint "machine_data_push_target_id"
    t.index ["machine_data_push_target_id"], name: "index_m_m_data_push_targets_on_m_data_push_target_id"
    t.index ["machine_id", "machine_data_push_target_id"], name: "index_m_m_data_push_targets_on_m_id_and_m_data_push_target_id", unique: true
    t.index ["machine_id"], name: "index_machine_machine_data_push_targets_on_machine_id"
  end

  create_table "machine_machine_rejects", force: :cascade do |t|
    t.bigint "machine_id"
    t.bigint "machine_reject_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_machine_machine_rejects_on_machine_id"
    t.index ["machine_reject_id"], name: "index_machine_machine_rejects_on_machine_reject_id"
  end

  create_table "machine_states", force: :cascade do |t|
    t.string "machine_sn"
    t.integer "state", default: 0
    t.datetime "time"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "comment"
    t.string "addon"
    t.decimal "calculated_duration", precision: 10, scale: 3
    t.index ["machine_sn"], name: "index_machine_states_on_machine_sn"
    t.index ["time"], name: "index_machine_states_on_time"
  end

  create_table "machine_types", force: :cascade do |t|
    t.string "name", null: false
    t.string "display_name"
    t.boolean "system_default", default: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "machine_state_enabled", default: false
    t.boolean "job_state_enabled", default: false
    t.boolean "error_enabled", default: false
    t.boolean "maintenance_enabled", default: false
    t.boolean "process_data_enabled", default: false
    t.boolean "event_data_enabled", default: false
    t.boolean "calibration_data_enabled", default: false
    t.string "category"
    t.string "image_url"
    t.integer "seed_version", default: 0
    t.string "translator_class"
  end

  create_table "machines", force: :cascade do |t|
    t.string "sn", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "name"
    t.string "description"
    t.boolean "is_conveyor_machine", default: false
    t.boolean "archived", default: false
    t.boolean "track_eer_metrics", default: false, null: false
    t.bigint "machine_type_id"
    t.boolean "push_target_enabled", default: false
    t.index ["machine_type_id"], name: "index_machines_on_machine_type_id"
    t.index ["sn"], name: "index_machines_on_sn", unique: true
  end

  create_table "machines_process_booking_workstations", id: false, force: :cascade do |t|
    t.bigint "machine_id", null: false
    t.bigint "process_booking_workstation_id", null: false
  end

  create_table "maintenances", force: :cascade do |t|
    t.string "maintenance"
    t.integer "maintenance_type"
    t.integer "status"
    t.datetime "time"
    t.string "machine_sn"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_sn"], name: "index_maintenances_on_machine_sn"
  end

  create_table "manufacturing_processes", force: :cascade do |t|
    t.string "name"
    t.integer "planned_quantity"
    t.integer "quantity_production_time"
    t.integer "setup_time"
    t.integer "lead_time"
    t.boolean "enabled"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "order_data", force: :cascade do |t|
    t.string "name"
    t.string "value"
    t.integer "side"
    t.bigint "order_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["order_id"], name: "index_order_data_on_order_id"
  end

  create_table "orders", force: :cascade do |t|
    t.string "job_number"
    t.string "name"
    t.string "description"
    t.string "order_type"
    t.string "workflow_state"
    t.integer "priority"
    t.string "patient"
    t.time "rtime", precision: 7
    t.time "wtime", precision: 7
    t.bigint "address_id"
    t.bigint "ship_to_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.datetime "expiry_date"
    t.index ["address_id"], name: "index_orders_on_address_id"
    t.index ["expiry_date"], name: "index_orders_on_expiry_date"
    t.index ["job_number"], name: "index_orders_on_job_number"
    t.index ["ship_to_id"], name: "index_orders_on_ship_to_id"
    t.index ["updated_at"], name: "index_orders_on_updated_at"
  end

  create_table "process_booking_workstations", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "production_settings", force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "is_eer_lab", default: false
    t.integer "throughput_metric", default: 0, null: false
    t.integer "machine_oee_target", default: 70
    t.integer "machine_utilization_target", default: 70
    t.integer "machine_uptime_target", default: 70
    t.boolean "simplified_machine_states", default: true
    t.float "tx_tolerance", default: 0.2
    t.float "ty_tolerance", default: 0.2
    t.float "rz_tolerance", default: 0.2
    t.integer "max_job_number_length"
    t.string "machine_manual_path"
  end

  create_table "push_targets", force: :cascade do |t|
    t.string "app"
    t.string "machine_state"
    t.string "job_state"
    t.string "error"
    t.string "maintenance"
    t.string "event"
    t.string "job_process_parameter"
    t.string "order"
    t.string "job"
    t.string "block"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "machine"
    t.string "job_process"
    t.string "calibration"
    t.string "box_coater_event"
    t.string "update_order"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_serial_numbers", force: :cascade do |t|
    t.string "owner"
    t.bigint "start_number"
    t.bigint "next_number"
    t.integer "padding"
    t.string "column_name", default: "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "prefix", limit: 3, default: ""
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "channel_class"
    t.string "locator_options"
  end

  create_table "shift_references", force: :cascade do |t|
    t.integer "hub_shift_id"
  end

  add_foreign_key "batch_container_data", "batch_containers", on_delete: :cascade
  add_foreign_key "batch_containers", "batches", on_delete: :cascade
  add_foreign_key "batch_job_data", "batch_containers", on_delete: :cascade
  add_foreign_key "batch_run_data", "batch_runs", on_delete: :cascade
  add_foreign_key "batch_runs", "batches", on_delete: :cascade
  add_foreign_key "block_picking_tags", "block_pickings", on_delete: :cascade
  add_foreign_key "block_reactivate_histories", "blocks", on_delete: :cascade
  add_foreign_key "blocks", "jobs", on_delete: :nullify
  add_foreign_key "box_coater_batches", "box_coater_events", on_delete: :nullify
  add_foreign_key "box_coater_events", "box_coater_batches", on_delete: :nullify
  add_foreign_key "box_coater_events", "machines", on_delete: :cascade
  add_foreign_key "calibration_corrections", "calibrations", on_delete: :cascade
  add_foreign_key "calibration_measurements", "calibrations", on_delete: :cascade
  add_foreign_key "calibrations", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "errors", "error_filters"
  add_foreign_key "errors", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "event_data", "events", on_delete: :cascade
  add_foreign_key "events", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "job_breakage_data", "job_breakages", on_delete: :nullify
  add_foreign_key "job_breakage_data", "jobs", on_delete: :cascade
  add_foreign_key "job_data", "jobs", on_delete: :cascade
  add_foreign_key "job_process_parameters", "job_processes", on_delete: :cascade
  add_foreign_key "job_processes", "jobs", on_delete: :cascade
  add_foreign_key "job_processes", "machines", on_delete: :cascade
  add_foreign_key "job_processes", "manufacturing_processes", on_delete: :cascade
  add_foreign_key "job_states", "abort_filters"
  add_foreign_key "job_states", "jobs", on_delete: :cascade
  add_foreign_key "job_states", "machines", on_delete: :cascade
  add_foreign_key "jobs", "orders", on_delete: :nullify
  add_foreign_key "kpi_current_machine_states", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "kpi_job_states", "machines", on_delete: :cascade
  add_foreign_key "kpi_machine_abort_counts", "machines", on_delete: :cascade
  add_foreign_key "kpi_machine_error_counts", "machines", on_delete: :cascade
  add_foreign_key "kpi_machine_state_durations", "machines", on_delete: :cascade
  add_foreign_key "kpi_routing_kickouts", "machines", on_delete: :cascade
  add_foreign_key "machine_data_push_target_headers", "machine_data_push_targets", on_delete: :cascade
  add_foreign_key "machine_groups_machines", "machine_groups", on_delete: :cascade
  add_foreign_key "machine_groups_machines", "machines", on_delete: :cascade
  add_foreign_key "machine_states", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "machines", "machine_types"
  add_foreign_key "maintenances", "machines", column: "machine_sn", primary_key: "sn", on_delete: :cascade
  add_foreign_key "orders", "addresses"
  add_foreign_key "orders", "addresses", column: "ship_to_id"
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
