namespace :orders do
  desc "Delete ALL jobs from the database"
  task :test_100_orders => :environment do
    require 'faraday'

    params = {
      name: "string",
      description: "string",
      ordertype: "string",
      workflowstate: "string",
      priority: 0,
      address: {
        name: "string",
        street: "string",
        city: "string",
        postcode: "string",
        country: "string"
      },
      patient: "string",
      rdate: "string",
      rtime: "string",
      wdate: "string",
      wtime: "string",
      shipTo: {
        name: "string",
        street: "string",
        city: "string",
        postcode: "string",
        country: "string"
      },
      data: {
        item: [
          {
            name: "string",
            value: "string",
            lensside: "L"
          }
        ]
      }
    }

    resolved_headers = {
      :Accept => "application/json",
      :Authorization => "TOKEN #{RxModule::Authorization.current_user_token}",
      "Content-Type" => "application/json"
    }.compact.merge({})

    req1 = Faraday.new(nil, ssl: {verify: false})
    resp = req1.send('put', 'localhost:3020/connector/satisloh/lms/1.0/order/16', params, resolved_headers)

    parsed_response = begin
      Oj.load(resp.body, symbol_keys: true)
    rescue # If json parsing fails, pass through the body
      response.body
    end
    puts parsed_response
  end
end
