require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to test the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator. If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails. There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.

RSpec.describe "/machine_data_push_target_headers", type: :request do
  # This should return the minimal set of attributes required to create a valid
  # MachineDataPushTargetHeader. As you add validations to MachineDataPushTargetHeader, be sure to
  # adjust the attributes here as well.
  let(:valid_attributes) {
    skip("Add a hash of attributes valid for your model")
  }

  let(:invalid_attributes) {
    skip("Add a hash of attributes invalid for your model")
  }

  # This should return the minimal set of values that should be in the headers
  # in order to pass any filters (e.g. authentication) defined in
  # MachineDataPushTargetHeadersController, or in your router and rack
  # middleware. Be sure to keep this updated too.
  let(:valid_headers) {
    {}
  }

  describe "GET /index" do
    it "renders a successful response" do
      MachineDataPushTargetHeader.create! valid_attributes
      get machine_data_push_target_headers_url, headers: valid_headers, as: :json
      expect(response).to be_successful
    end
  end

  describe "GET /show" do
    it "renders a successful response" do
      machine_data_push_target_header = MachineDataPushTargetHeader.create! valid_attributes
      get machine_data_push_target_header_url(machine_data_push_target_header), as: :json
      expect(response).to be_successful
    end
  end

  describe "POST /create" do
    context "with valid parameters" do
      it "creates a new MachineDataPushTargetHeader" do
        expect {
          post machine_data_push_target_headers_url,
               params: { machine_data_push_target_header: valid_attributes }, headers: valid_headers, as: :json
        }.to change(MachineDataPushTargetHeader, :count).by(1)
      end

      it "renders a JSON response with the new machine_data_push_target_header" do
        post machine_data_push_target_headers_url,
             params: { machine_data_push_target_header: valid_attributes }, headers: valid_headers, as: :json
        expect(response).to have_http_status(:created)
        expect(response.content_type).to match(a_string_including("application/json"))
      end
    end

    context "with invalid parameters" do
      it "does not create a new MachineDataPushTargetHeader" do
        expect {
          post machine_data_push_target_headers_url,
               params: { machine_data_push_target_header: invalid_attributes }, as: :json
        }.to change(MachineDataPushTargetHeader, :count).by(0)
      end

      it "renders a JSON response with errors for the new machine_data_push_target_header" do
        post machine_data_push_target_headers_url,
             params: { machine_data_push_target_header: invalid_attributes }, headers: valid_headers, as: :json
        expect(response).to have_http_status(:unprocessable_entity)
        expect(response.content_type).to match(a_string_including("application/json"))
      end
    end
  end

  describe "PATCH /update" do
    context "with valid parameters" do
      let(:new_attributes) {
        skip("Add a hash of attributes valid for your model")
      }

      it "updates the requested machine_data_push_target_header" do
        machine_data_push_target_header = MachineDataPushTargetHeader.create! valid_attributes
        patch machine_data_push_target_header_url(machine_data_push_target_header),
              params: { machine_data_push_target_header: new_attributes }, headers: valid_headers, as: :json
        machine_data_push_target_header.reload
        skip("Add assertions for updated state")
      end

      it "renders a JSON response with the machine_data_push_target_header" do
        machine_data_push_target_header = MachineDataPushTargetHeader.create! valid_attributes
        patch machine_data_push_target_header_url(machine_data_push_target_header),
              params: { machine_data_push_target_header: new_attributes }, headers: valid_headers, as: :json
        expect(response).to have_http_status(:ok)
        expect(response.content_type).to match(a_string_including("application/json"))
      end
    end

    context "with invalid parameters" do
      it "renders a JSON response with errors for the machine_data_push_target_header" do
        machine_data_push_target_header = MachineDataPushTargetHeader.create! valid_attributes
        patch machine_data_push_target_header_url(machine_data_push_target_header),
              params: { machine_data_push_target_header: invalid_attributes }, headers: valid_headers, as: :json
        expect(response).to have_http_status(:unprocessable_entity)
        expect(response.content_type).to match(a_string_including("application/json"))
      end
    end
  end

  describe "DELETE /destroy" do
    it "destroys the requested machine_data_push_target_header" do
      machine_data_push_target_header = MachineDataPushTargetHeader.create! valid_attributes
      expect {
        delete machine_data_push_target_header_url(machine_data_push_target_header), headers: valid_headers, as: :json
      }.to change(MachineDataPushTargetHeader, :count).by(-1)
    end
  end
end
